Difference between revisions of "Development Team/Jhbuild/Ubuntu"

From Sugar Labs
Jump to: navigation, search
m (Prerequisites)
 
(6 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
== Supported versions ==
 
== Supported versions ==
  
Currently Intrepid (8.10), Jaunty (9.04) and Karmic (9.10) are supported.
+
'''Ubuntu is currently unsupported''' because all recent versions lack at least one important package ([https://bugs.launchpad.net/ubuntu/+bug/480407/+index python-xpcom]).
  
 
== Prerequisites ==
 
== Prerequisites ==
  
In order to install sugar-jhbuild, you need git-core and svn.
+
In order to install sugar-jhbuild, you need git-core and subversion.
  
 
== Installing dependencies ==
 
== Installing dependencies ==
Line 12: Line 12:
  
 
  ./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install
 
  ./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install
 
== Fixing RPATH (8.10 / 9.04) ==
 
 
To work around a bug in the Gnome Python bindings shipped by Intrepid (8.10) and Jaunty (9.04), you need to issue the following commands after installing all dependencies:
 
 
sudo aptitude install chrpath
 
find /usr/lib/python-support/python-gnome2/python2.5/gtk-2.0 \
 
    /usr/lib/python-support/python-gconf/python2.5/gtk-2.0 \
 
    -name "*.so" | sudo xargs chrpath -d
 
  
 
== Significant bugs ==
 
== Significant bugs ==
  
Jaunty (9.04) and Karmic (9.10) have [http://dev.sugarlabs.org/ticket/310 a broken D-Bus security configuration] that prevents sugar-emulator from working (because Xephyr cannot work).
+
* [https://bugs.launchpad.net/ubuntu/+bug/325706 broken D-Bus security configuration] that prevents sugar-emulator from working (because Xephyr cannot work).
On all versions [http://dev.sugarlabs.org/ticket/342 sugar-emulator doesn't work properly if the X server uses evdev as keyboard driver] (because of a Xephyr bug).
+
* [http://bugs.freedesktop.org/show_bug.cgi?id=19365 sugar-emulator doesn't work properly if the X server uses evdev as keyboard driver] (because of a Xephyr bug).
 +
* [https://bugs.launchpad.net/ubuntu/+bug/480407/+index python-xpcom missing] (and thus Browse cannot work)
  
 
== Potential pitfalls ==
 
== Potential pitfalls ==
  
 
* gtk-recordmydesktop may prevent sugar-emulator from working properly
 
* gtk-recordmydesktop may prevent sugar-emulator from working properly
* You may have some issues with penguintv, just interrupt the pull with a CTRL+C, open a shell, repeat the command manually, and accept the certificate permanently.
 

Latest revision as of 21:22, 12 July 2011

Supported versions

Ubuntu is currently unsupported because all recent versions lack at least one important package (python-xpcom).

Prerequisites

In order to install sugar-jhbuild, you need git-core and subversion.

Installing dependencies

After installing and updating sugar-jhbuild according to the common instructions, you can use this invocation to install all dependencies automatically:

./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install

Significant bugs

Potential pitfalls

  • gtk-recordmydesktop may prevent sugar-emulator from working properly